**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/26.2/qualityone-haccp/import-haccp-plan-translatable-fields.md

# Import HACCP Plan Translatable Fields



Use this endpoint to import translated *HACCP Plan* data into Vault.

Before submitting this request:

* You must first run the [Export HACCP Plan Translatable Fields](/vault-api/api-reference/26.2/qualityone-haccp/export-haccp-plan-translatable-fields) and [Retrieve HACCP Plan Translatable Fields](/vault-api/api-reference/26.2/qualityone-haccp/retrieve-haccp-plan-translatable-fields) APIs and modify the returned JSON file with the appropriate translated data.

* The target *HACCP Plan* must have an associated *HACCP Translation Generation* record in the *Export Complete* lifecycle state.

* You must have permission to edit all translatable fields in the target *HACCP Plan*.

The following guidelines apply to the input file:

* Translated field data must be in JSON format.

* The maximum input JSON file size is 250 MB.

* The following field types are supported for import:

* *Text*  (Metadata return type = `String`)

* *Long Text* (Metadata return type  = `LongText`)

* *Rich Text* (Metadata return type = `RichText`)

* See [Translating HACCP Plans](https://qualityone.veevavault.help/en/lr/771989) for additional guidelines.

<Endpoint path="/api/{version}/app/qualityone/haccp_plan/{haccp_plan_record_id}/translatable_fields" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{haccp_plan_record_id}` | The *ID* field value for the *HACCP Plan* record you wish to translate. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `file` | The filepath of the JSON document. The maximum allowed file size is 250 MB. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
-H 'Content-Type: multipart/form-data' \
-F 'file=@"V7V00000000R001.json"'
https://myvault.veevavault.com/api/v25.2/app/qualityone/haccp_plan/V7V00000000R001/translatable_fields

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "job_id": "392903"
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns a `job_id` and populates the translatable fields on the target *HACCP Plan* record and its related records with the values provided in the imported JSON file. On `FAILURE`, the response includes a reason for the failure.



---

**Previous:** [Retrieve HACCP Plan Translatable Fields](/qualityone/vault-api/api-reference/26.2/qualityone-haccp/retrieve-haccp-plan-translatable-fields)  
**Next:** [Errors](/qualityone/vault-api/api-reference/26.2/errors)